














      INTEGER      MAXHIGH, MAXSTACK, MAXXYZ

      PARAMETER    (MAXHIGH=16)
      PARAMETER    (MAXSTACK=4*MAXHIGH)
      PARAMETER    (MAXXYZ=2*MAXAA+MAXHIGH)
 
      INTEGER      NUM(MAXHIGH), INDEX(MAXHIGH)
      INTEGER      REF(2,MAXXYZ)
      INTEGER      HIGHLEV
      REAL         XYZMIN(3,MAXXYZ), XYZMAX(3,MAXXYZ)

      COMMON       /CMP_R/
     +             XYZMIN, XYZMAX

      COMMON       /CMP_I/ 
     +             NUM, INDEX, REF, HIGHLEV
